LibreOffice: UnoControlButtonModel Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
UnoControlButtonModel Service Referencepublished

specifies the standard model of a UnoControlButton. More...

Inheritance diagram for UnoControlButtonModel:

## Included Services
service | com::sun::star::awt::UnoControlModel
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel.

## Public Attributes
short | Align
| specifies the horizontal alignment of the text in the control.
com::sun::star::util::Color | BackgroundColor
| specifies the background color (RGB) of the control.
boolean | DefaultButton
| specifies that the button is the default button on the document.
boolean | Enabled
| determines whether the control is enabled or disabled.
boolean | FocusOnClick
| specifies whether the button control should grab the focus when clicked.
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes of the text in the control.
short | FontEmphasisMark
| specifies the com::sun::star::text::FontEmphasis value of the text in the control.
short | FontRelief
| specifies the com::sun::star::text::FontRelief value of the text in the control.
string | HelpText
| specifies the help text of the control.
string | HelpURL
| specifies the help URL of the control.
short | ImageAlign
| specifies the alignment of the image inside the button as ImageAlign value.
short | ImagePosition
| specifies the position of the image, if any, relative to the text, if any
string | ImageURL
| specifies a URL to an image to use for the button.
com::sun::star::graphic::XGraphic | Graphic
| specifies a graphic to be displayed at the button
string | Label
| specifies the label of the control.
boolean | MultiLine
| specifies that the text may be displayed on more than one line.
boolean | Printable
| specifies that the control will be printed with the document.
short | PushButtonType
| specifies the default action of the button as PushButtonType value.
boolean | Repeat
| specifies whether the control should show repeating behavior.
long | RepeatDelay
| specifies the mouse repeat delay, in milliseconds.
short | State
| specifies the state of the control.
boolean | Tabstop
| specifies that the control can be reached with the TAB key.
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) of the control.
com::sun::star::util::Color | TextLineColor
| specifies the text line color (RGB) of the control.
boolean | Toggle
| specifies whether the button should toggle on a single operation.
com::sun::star::style::VerticalAlignment | VerticalAlign
| specifies the vertical alignment of the text in the control.
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model.

## Additional Inherited Members
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control.
string | Name
| specifies the name of the control.
string | PositionX
| specifies the horizontal position of the control.
string | PositionY
| specifies the vertical position of the control.
long | Step
| specifies the step of the control.
short | TabIndex
| specifies the tabindex of the control.
string | Tag
| specifies the tag of the control.
long | Width
| specifies the width of the control.

## Detailed Description

specifies the standard model of a UnoControlButton.

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlModel

service com::sun::star::awt::UnoControlModel

## Member Data Documentation

## ◆ Align

short Align
| optionalproperty

specifies the horizontal alignment of the text in the control.

    0: left
    1: center
    2: right

## ◆ BackgroundColor

com::sun::star::util::Color BackgroundColor
| property

specifies the background color (RGB) of the control.

## ◆ DefaultButton

boolean DefaultButton
| property

specifies that the button is the default button on the document.

## ◆ Enabled

boolean Enabled
| property

determines whether the control is enabled or disabled.

## ◆ FocusOnClick

boolean FocusOnClick
| optionalproperty

specifies whether the button control should grab the focus when clicked.

If set to `TRUE` (which is the default), the button control automatically grabs the focus when the user clicks onto it with the mouse.
If set to `FALSE`, the focus is preserved when the user operates the button control with the mouse.

Since
  OOo 2.0

## ◆ FontDescriptor

com::sun::star::awt::FontDescriptor FontDescriptor
| property

specifies the font attributes of the text in the control.

## ◆ FontEmphasisMark

short FontEmphasisMark
| property

specifies the com::sun::star::text::FontEmphasis value of the text in the control.

## ◆ FontRelief

short FontRelief
| property

specifies the com::sun::star::text::FontRelief value of the text in the control.

## ◆ Graphic

com::sun::star::graphic::XGraphic Graphic
| optionalpropertytransient

specifies a graphic to be displayed at the button

If this property is present, it interacts with the ImageURL in the following way:

- If ImageURL is set, Graphic will be reset to an object as loaded from the given image URL, or `NULL` if ImageURL does not point to a valid image file.
- If Graphic is set, ImageURL will be reset to an empty string.

Since
  OOo 2.1

## ◆ HelpText

string HelpText
| property

specifies the help text of the control.

## ◆ HelpURL

string HelpURL
| property

specifies the help URL of the control.

## ◆ ImageAlign

short ImageAlign
| property

specifies the alignment of the image inside the button as ImageAlign value.

## ◆ ImagePosition

short ImagePosition
| optionalproperty

specifies the position of the image, if any, relative to the text, if any

Valid values of this property are specified with ImagePosition.

If this property is present, it supersedes the ImageAlign property - setting one of both properties sets the other one to the best possible match.

## ◆ ImageURL

string ImageURL
| property

specifies a URL to an image to use for the button.

See also
  Graphic

## ◆ Label

string Label
| property

specifies the label of the control.

## ◆ MultiLine

boolean MultiLine
| optionalproperty

specifies that the text may be displayed on more than one line.

Since
  OOo 2.0

## ◆ Printable

boolean Printable
| property

specifies that the control will be printed with the document.

## ◆ PushButtonType

short PushButtonType
| property

specifies the default action of the button as PushButtonType value.

## ◆ Repeat

boolean Repeat
| optionalproperty

specifies whether the control should show repeating behavior.

Normally, when you click a button with the mouse, you need to release the mouse button, and press it again. With this property set to `TRUE`, the button is repeatedly pressed while you hold down the mouse button.

Since
  OOo 2.0

## ◆ RepeatDelay

long RepeatDelay
| optionalproperty

specifies the mouse repeat delay, in milliseconds.

When the user presses a mouse in a control area where this triggers an action (such as pressing the button), then usual control implementations allow to repeatedly trigger this action, without the need to release the mouse button and to press it again. The delay between two such triggers is specified with this property.

Since
  OOo 2.0

## ◆ State

short State
| property

specifies the state of the control.

If Toggle property is set to `TRUE`, the pressed state is enabled and its pressed state can be obtained with this property.

    0: not pressed
    1: pressed
    2: don't know

See also
  Toggle

## ◆ Tabstop

boolean Tabstop
| property

specifies that the control can be reached with the TAB key.

## ◆ TextColor

com::sun::star::util::Color TextColor
| property

specifies the text color (RGB) of the control.

## ◆ TextLineColor

com::sun::star::util::Color TextLineColor
| property

specifies the text line color (RGB) of the control.

## ◆ Toggle

boolean Toggle
| optionalproperty

specifies whether the button should toggle on a single operation.

If this property is set to `TRUE`, a single operation of the button control (pressing space while it is focused, or clicking onto it) toggles it between a pressed and a not pressed state.

The default for this property is `FALSE`, which means the button behaves like a usual push button.

Since
  OOo 2.0

## ◆ VerticalAlign

com::sun::star::style::VerticalAlignment VerticalAlign
| optionalproperty

specifies the vertical alignment of the text in the control.

Since
  OOo 2.0

The documentation for this service was generated from the following file:

- com/sun/star/awt/UnoControlButtonModel.idl